edu.neu.pojo

## Class Person

- java.lang.Object
- - edu.neu.pojo.Credential
  - - edu.neu.pojo.Person

- All Implemented Interfaces:
    java.io.Serializable

      @Entity
      public class Person
      extends edu.neu.pojo.Credential
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Person()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCity()`
    `java.lang.String` | `getCountry()`
    `java.util.Set<edu.neu.pojo.Educational>` | `getEducationList()`
    `java.lang.String` | `getFirstName()`
    `java.lang.String` | `getLastName()`
    `java.util.Set<edu.neu.pojo.Professional>` | `getProfessionalList()`
    `java.util.Set<edu.neu.pojo.Skill>` | `getSkillList()`
    `java.lang.String` | `getState()`
    `java.lang.String` | `getStreetAddress()`
    `void` | `setCity(java.lang.String city)`
    `void` | `setCountry(java.lang.String country)`
    `void` | `setFirstName(java.lang.String firstName)`
    `void` | `setLastName(java.lang.String lastName)`
    `void` | `setState(java.lang.String state)`
    `void` | `setStreetAddress(java.lang.String streetAddress)`

    - ### Methods inherited from class edu.neu.pojo.Credential

      `getPassword, getRoleType, getUserId, getUserName, setPassword, setRoleType, setUserId, setUserName`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Person

          public Person()

  - ### Method Detail

    - #### getFirstName

          public java.lang.String getFirstName()

    - #### setFirstName

          public void setFirstName(java.lang.String firstName)

    - #### getLastName

          public java.lang.String getLastName()

    - #### setLastName

          public void setLastName(java.lang.String lastName)

    - #### getStreetAddress

          public java.lang.String getStreetAddress()

    - #### setStreetAddress

          public void setStreetAddress(java.lang.String streetAddress)

    - #### getCity

          public java.lang.String getCity()

    - #### setCity

          public void setCity(java.lang.String city)

    - #### getState

          public java.lang.String getState()

    - #### setState

          public void setState(java.lang.String state)

    - #### getCountry

          public java.lang.String getCountry()

    - #### setCountry

          public void setCountry(java.lang.String country)

    - #### getEducationList

          public java.util.Set<edu.neu.pojo.Educational> getEducationList()

    - #### getProfessionalList

          public java.util.Set<edu.neu.pojo.Professional> getProfessionalList()

    - #### getSkillList

          public java.util.Set<edu.neu.pojo.Skill> getSkillList()